Bug 834865 - ovirt-engine-backend [Direct Lun]: Export of vm with direct lun disk fails with no error in logs
ovirt-engine-backend [Direct Lun]: Export of vm with direct lun disk fails wi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.1.0
Assigned To: Liron Aravot
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 08:19 EDT by Dafna Ron
Modified: 2016-02-10 11:54 EST (History)
9 users (show)

See Also:
Fixed In Version: SI17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (34.10 KB, application/x-xz)
2012-06-24 08:19 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-06-24 08:19:29 EDT
Created attachment 593994 [details]
log

Description of problem:

we are missing CanDoAction for export of vm with direct lun. 
the command is sent to backend and we do see that the export failed in event log but there is no error in the logs and the command is not sent to vdsm. 

Version-Release number of selected component (if applicable):

si6

How reproducible:

100%

Steps to Reproduce:
1. create a vm with one direct lun attached
2. try to export the vm
3.
  
Actual results:

we fail to export the vm with no explications or errors in the log

Expected results:

we need to create a CanDoAction for exporting a vm with direct lun

Additional info:full log

when fixing this bug please make sure that if we export a vm with one direct lun and one regular disk we should succeed with warning that the only the disk image will be exported. 

2012-06-24 15:14:53,724 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp--0.0.0.0-8009-35) FINISH, IsValidVDSCommand, return: true, log id: 2c10a19e
2012-06-24 15:14:53,789 INFO  [org.ovirt.engine.core.bll.ExportVmCommand] (pool-3-thread-49) [5dc22053] Running command: ExportVmCommand internal: false. Entities affected :  ID: 1c4b81c0-bc2b-4b57-9341-5179ee848abd Type: Storage
2012-06-24 15:14:53,794 INFO  [org.ovirt.engine.core.vdsbroker.SetVmStatusVDSCommand] (pool-3-thread-49) [5dc22053] START, SetVmStatusVDSCommand(vmId = 0ffa8e45-f64d-45f4-9df1-6d165c48f8d8, status = ImageLocked), log id: 4f6a268a
2012-06-24 15:14:53,797 INFO  [org.ovirt.engine.core.vdsbroker.SetVmStatusVDSCommand] (pool-3-thread-49) [5dc22053] FINISH, SetVmStatusVDSCommand, log id: 4f6a268a
2012-06-24 15:14:53,820 INFO  [org.ovirt.engine.core.bll.ExportVmCommand] (pool-3-thread-49) [5dc22053] Command [id=006de0e0-ef82-4dd4-a5ee-a3434612767c]: Compensating CHANGED_STATUS_ONLY of org.ovirt.engine.core.common.businessentities.VmDynamic; snapshot: EntityStatusSnapshot [id=0ffa8e45-f64d-45f4-9df1-6d165c48f8d8, status=Down].
Comment 1 Liron Aravot 2012-07-19 12:02:04 EDT
solved by this patch - the export is working, no error message.
http://gerrit.ovirt.org/#/c/6024/7
Comment 2 Allon Mureinik 2012-08-14 09:09:22 EDT
The patch in comment #1 has been abandoned. 
Please provide the correct patch that solves this.
Comment 3 Liron Aravot 2012-08-28 14:51:44 EDT
correct patch:
http://gerrit.ovirt.org/#/c/6379/
Comment 4 Dafna Ron 2012-09-09 08:06:23 EDT
speaking to Miki there was a design change to allow the vm to be exported with no images. 
so this fix is verified on si17 and a new bug will be opened to issue a warning that direct lun and shared disk will not be backed up.

Note You need to log in before you can comment on or make changes to this bug.